Flasha IBM m1015 / LSI 9240-8i till LSI 9211 IT

Trädvy Permalänk
Medlem
Registrerad
Maj 2012

Flasha IBM m1015 / LSI 9240-8i till LSI 9211 IT

Eftersom det är så populärt att flasha om t.ex IBM m1015 eller LSI 9240-8i till LSI 9211 IT mode så skapar jag en tråd för det.
Det finns massor av guider för att göra det t.ex. http://www.servethehome.com/ibm-serveraid-m1015-part-4/
Många tipsar om att göra det i en gammal dator utan UEFI BIOS.

Vad jag kommit fram till från alla guider jag läst så ska man göra så här:

Citat:

megarec -readsbr 0 backup.bin
megarec -writesbr 0 sbrempty.bin
megarec -cleanflash 0

Starta om datorn

Citat:

sas2flsh -o -f 2118it.bin -b mptsas2.rom (sas2flsh -o -f 2118it.bin if OptionROM is not needed)
sas2flsh -o -sasadd 500605bxxxxxxxxx (x= numbers for SAS address)

Jag fastnat dock på raden

Citat:

sas2flsh -o -f 2118it.bin

Får hela tiden samma felmeddelande
Writing Current Mfg Page 2 Settings to NVRAM
Failed to Validate Mfg Page 2!
IOCStatus=0x8022
IOCLogInfo=0x30030109

Några tips om vad som kan vara fel?

Trädvy Permalänk
Hedersmedlem
Plats
QuakeNet
Registrerad
Jul 2001

Verkar helt orelaterat, men det kanske det inte är: vad försöker du flasha på för dator? Jag har tidigare läst om folk som haft stora problem att flasha på vissa styrkretsar. Har du någon annan dator du kan testa med?

SWECLOCKERS.COM :: If Quake was done today :: Serverrum
WS: Asus P9X79 :: Core i7 3820 :: 32 GB RAM :: Samsung 830 256 GB :: 2x Intel 910 400 GB PCIE :: PNY Geforce GTX 970 XLR8 :: Gigabyte Odin GT 800W :: 2x Samsung Syncmaster S27A950D
NAS: SuperMicro X10-SLM-F :: Core i3 4130T :: 24 GB Kingston ECC :: Ri-Vier RVS2-06A 12Bay 2U :: IBM M1015 (IT) :: Mellanox Connect2X SFP+ :: Intel XL710-QDA1 QSFP+ ::

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av Kr^PacMan:

Verkar helt orelaterat, men det kanske det inte är: vad försöker du flasha på för dator? Jag har tidigiare läst om folk som haft stora problem att flasha på vissa styrkretsar. Har du någon annan dator du kan testa med?

Jag har också läst om det.

Har testat på flera olika datorer:
Asus P5K-E med Intel Core 2 Quad
Asus P8Z77-V Deluxe med Intel i7-2700K
Supermicro X9SRL-F-O med Xeon 1650.

Får samma fel på alla.

Trädvy Permalänk
Medlem
Registrerad
Apr 2013
Trädvy Permalänk
Medlem
Registrerad
Apr 2013
Skrivet av Pake:

Jag har också läst om det.

Har testat på flera olika datorer:
Asus P5K-E med Intel Core 2 Quad
Asus P8Z77-V Deluxe med Intel i7-2700K
Supermicro X9SRL-F-O med Xeon 1650.

Får samma fel på alla.

Körde du dos eller uefi på ditt x9 kort?

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av aluser:

Körde du dos eller uefi på ditt x9 kort?

Jag körde DOS. Vet ärligt talat inte vad UEFI är för något har bara sett att det står lite här och där.
Vad jag förstått så får de som har problem med att köra i DOS ett felmeddelande om någonting med PAL. Det fick jag på min "Asus P8Z77-V Deluxe med Intel i7-2700K"-dator men inte på Supermicro.

Får försöka läsa på lite med UEFI och hur man skapat en bootbar USB för det.

Trädvy Permalänk
Medlem
Registrerad
Maj 2012

Några verkar ha problem med vissa version av sas2flsh och 2118it.bin
Senaste versionen (2014-05-15) verkar vara Phase 19.

Vet ni vilken version ni har använt?

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Feb 2009

Jag har aldrig lyckats med DOS, men med EFI-Shell som du borde ha som boot möjlighet på ditt Supermicrokort kan jag utan problem flasha över IPMI Se bara till att ha en USB sticka med EFI versionen av flashbinären samt firmware (och bios om du tänker flasha BIOS för att kunna Boota på kortet. Jag brukar skippa detta då det bara tar en massa onödig tid att starta med BIOS inflashat.).

Mer info: http://www.houseofdreams.be/flashing-a-ibm-m1015-uefi/

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av beh:

Jag har aldrig lyckats med DOS, men med EFI-Shell som du borde ha som boot möjlighet på ditt Supermicrokort kan jag utan problem flasha över IPMI Se bara till att ha en USB sticka med EFI versionen av flashbinären samt firmware (och bios om du tänker flasha BIOS för att kunna Boota på kortet. Jag brukar skippa detta då det bara tar en massa onödig tid att starta med BIOS inflashat.).

Mer info: http://www.houseofdreams.be/flashing-a-ibm-m1015-uefi/

Har nu testat att boot i UEFI shell och kört sas2flash.efi men får exakt samma felmeddelande "Failed to Validate Mfg Page 2!"

Trädvy Permalänk
Medlem
Plats
Stockholm
Registrerad
Feb 2009

Konstigt, för mig med ett X10 Supermicrokort fungerar det utan problem. Får fundera på detta lite.

Jag körde med P17 senast tror jag. Uppdaterade från P14 för att matcha drivare och firmware i under FreeBSD.

Trädvy Permalänk
Medlem
Registrerad
Jul 2005

Nån med samma felmeddelande , verkar ha löst det.
http://lime-technology.com/forum/index.php?topic=12767.615

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av vitek:

Nån med samma felmeddelande , verkar ha löst det.
http://lime-technology.com/forum/index.php?topic=12767.615

Tyckte jag läste genom den tidigare men missade det här:

Citat:

HEADLINE: SAS2FLASH : CLI switch added to force an update of the SBR from ManPage2 only and do not reset.
NEW FUNCTIONALITY: Added new command -sbr that will update the SBR from ManPage2 if there is mismatch between SBR and
ManPage2 values.

Så om jag lägger till -sbr i sas2flsh kommandot så ska det förhoppningsvis lösa sig.
Ska testa det senare.

Tack så mycket för hjälpen.

Trädvy Permalänk
Medlem
Registrerad
Maj 2012

Försökte med parametern -sbr men det gjorde ingen skillnad. Samma Mfg Page 2 felmeddelande.

Hur återställer man kortet till ursprung?
Kan jag ha fått ett dåligt kort eller en för ny version som inte går att flasha om till IT?

Trädvy Permalänk
Hedersmedlem
Plats
QuakeNet
Registrerad
Jul 2001
Skrivet av Pake:

Försökte med parametern -sbr men det gjorde ingen skillnad. Samma Mfg Page 2 felmeddelande.

Hur återställer man kortet till ursprung?
Kan jag ha fått ett dåligt kort eller en för ny version som inte går att flasha om till IT?

Har du testat via UEFI-shellet? Där är det väldigt få som har problem verkar det som.

SWECLOCKERS.COM :: If Quake was done today :: Serverrum
WS: Asus P9X79 :: Core i7 3820 :: 32 GB RAM :: Samsung 830 256 GB :: 2x Intel 910 400 GB PCIE :: PNY Geforce GTX 970 XLR8 :: Gigabyte Odin GT 800W :: 2x Samsung Syncmaster S27A950D
NAS: SuperMicro X10-SLM-F :: Core i3 4130T :: 24 GB Kingston ECC :: Ri-Vier RVS2-06A 12Bay 2U :: IBM M1015 (IT) :: Mellanox Connect2X SFP+ :: Intel XL710-QDA1 QSFP+ ::

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av Kr^PacMan:

Har du testat via UEFI-shellet? Där är det väldigt få som har problem verkar det som.

Japp även testat i UEFI. Ingen skillnad
Vad jag förstått så är det mest om man får PAL-felmeddelandet som det hjälper med UEFI.

Trädvy Permalänk
Hedersmedlem
Plats
QuakeNet
Registrerad
Jul 2001

Kan du slänga upp ett par bilder på ditt kort?

SWECLOCKERS.COM :: If Quake was done today :: Serverrum
WS: Asus P9X79 :: Core i7 3820 :: 32 GB RAM :: Samsung 830 256 GB :: 2x Intel 910 400 GB PCIE :: PNY Geforce GTX 970 XLR8 :: Gigabyte Odin GT 800W :: 2x Samsung Syncmaster S27A950D
NAS: SuperMicro X10-SLM-F :: Core i3 4130T :: 24 GB Kingston ECC :: Ri-Vier RVS2-06A 12Bay 2U :: IBM M1015 (IT) :: Mellanox Connect2X SFP+ :: Intel XL710-QDA1 QSFP+ ::

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av Kr^PacMan:

Kan du slänga upp ett par bilder på ditt kort?

Här kommer bilderna:

framsida

baksida

Trädvy Permalänk
Medlem
Plats
Jönköping
Registrerad
Okt 2003

Har du testat att en sas2flsh -o -e 6 Clean flash (erase everything except manufacturing area) eller sas2flsh -o -e 7 (Erase complete flash) iinan du flashar ny firmware. Jag var tvungen att göra det på ett av mina kort.

Jag ser ner på folk som särskriver!

Trädvy Permalänk
Medlem
Registrerad
Maj 2012
Skrivet av ozric:

Har du testat att en sas2flsh -o -e 6 Clean flash (erase everything except manufacturing area) eller sas2flsh -o -e 7 (Erase complete flash) iinan du flashar ny firmware. Jag var tvungen att göra det på ett av mina kort.

Kommer du ihåg vad du fick för felmeddelande när du flashade ditt kort?
körde du -e 6 eller -e 7?

Trädvy Permalänk
Medlem
Plats
Halmstad
Registrerad
Jul 2012

Har du löst det?

Jag har precis beställt ett LSI MegaRAID 9240-8i på ebay som jag har tänkt flasha till IT.
Någon dag efter jag beställt så såg jag att säljaren har skrivit följande varning i annonsen:

"Important note: For Windows users, please DO NOT upgrade the firmware! It would cause the card non-working in Windows system after upgrade."
http://www.ebay.com/itm/New-LSI-MegaRAID-9240-8i-8ports-PCI-E...

Så nu blev jag lite nervös...
Jag vet inte om det är exakt samma kort som du har, men det hade varit trevligt att veta om du har löst det.

Trädvy Permalänk
Medlem
Registrerad
Aug 2002

Har ni råkat ut för kopior? Läste någonstans att det cirkulerar kopior på M1015 men minns tyvärr inte var. Brydde mig heller inte om att gräva djupare eftersom mitt fungerar även efter flashning.

i7-8700k | ASUS ROG Strix Z370-F Gaming | 4x8GB Corsair Vengeance LPX 3200 | ASUS GeForce GTX 1070 Dual OC | Intel 520 480GB | WD Black 3TB | Noctua NH-U14S | Fractal Design ARC | Be-Quiet Straight Power BQT E9 CM 680W | LG BH08LS20 | ASUS Xonar Essence STX

Trädvy Permalänk
Medlem
Plats
Halmstad
Registrerad
Jul 2012

Kopior, det låter inte roligt, det får jag hoppas att det inte är.

Hittade följande i mina sökningar:

Citat:

There is no "IT Mode" for the native M1015 or 9240 drivers. It simply is not needed. The reason people wanted the IT load when running as a 9211 is because the 9211 doesn't really do single disk passthrough correctly - it builds the disk as a single-drive raid 0, which puts nasty little headers on the disk and mucks up your ability to share disks directly with other systems. The 9240 firmware does not doe this - any drive not part of a raid is just passed through directly as a single drive - and no special 'IT mode' driver is necessary.

The only reason to flash this card to a 9211 personality is to use it with an OS that does not support the 9240 (e.g., freeBSD). For others (Windows, Linux, Solaris, etc) the 9240 drivers are available and work well - some would suggest work better (e.g., the Solaris imr drivers for the 9240 do a better job of passing through disk temps and SMART).

Källa:
http://forums.servethehome.com/index.php?threads/ibm-m1015-fi...

Så har jag tur så behövs jag inte flasha mitt 9240-8i då jag ska köra det som HBA i Windows Server 2008 R2.

Angående varningen i säljannonsen så fick jag följande svar från säljaren:

Citat:

This is a bug in LSI firmware. If you upgrade the firmware in WebOS,
it can not work on Windows any more.

It can be flashed to an IT mode. But you need to record the SAS
address before flashing. Also please be cautious since it is risky in
flashing process. If anything happens you need the SAS address to
restore it.

Trädvy Permalänk
Medlem
Plats
Registrerad
Feb 2006
Skrivet av Bosendorfer:

Har du löst det?

Jag har precis beställt ett LSI MegaRAID 9240-8i på ebay som jag har tänkt flasha till IT.
Någon dag efter jag beställt så såg jag att säljaren har skrivit följande varning i annonsen:

"Important note: For Windows users, please DO NOT upgrade the firmware! It would cause the card non-working in Windows system after upgrade."
http://www.ebay.com/itm/New-LSI-MegaRAID-9240-8i-8ports-PCI-E...

Så nu blev jag lite nervös...
Jag vet inte om det är exakt samma kort som du har, men det hade varit trevligt att veta om du har löst det.

Nja, jag har _exakt_ det kortet, köpt från samma ställe och jag har flashat ner det till ett 9211IT (P19) och kör med Win Server 2008 R2 utan problem.
Jag tror att säljaren menar att man inte ska flasha via Windows..

Dock är det ett hyggligt robust kort - så jag har mycket svårt att tänka mig att kortet skulle bli brickat ens om man lyckas ställa till med något riktigt dumt....
SAS-id:t står tryckt på kortet, annars är det bara att spoofa (så länge man inte ger samma ID till flera controllers i samma setup.

Raid is not backup

Trädvy Permalänk
Medlem
Plats
Halmstad
Registrerad
Jul 2012
Skrivet av FoxOne:

Nja, jag har _exakt_ det kortet, köpt från samma ställe och jag har flashat ner det till ett 9211IT (P19) och kör med Win Server 2008 R2 utan problem.
Jag tror att säljaren menar att man inte ska flasha via Windows..

Dock är det ett hyggligt robust kort - så jag har mycket svårt att tänka mig att kortet skulle bli brickat ens om man lyckas ställa till med något riktigt dumt....
SAS-id:t står tryckt på kortet, annars är det bara att spoofa (så länge man inte ger samma ID till flera controllers i samma setup.

Tack för den infon. Nu blev jag lite lugnare. Hur gick du tillväga för att flasha kortet?

Trädvy Permalänk
Medlem
Plats
Registrerad
Feb 2006
Skrivet av Bosendorfer:

Tack för den infon. Nu blev jag lite lugnare. Hur gick du tillväga för att flasha kortet?

Jag testade både med en DOS-flashning och via UEFI, märkte ingen skillnad.

Jag utgick ifrån den här posten och plockade ner LSI MegaRAID to SAS2008(P11).zip - 5.87 MB. Sen tog jag den senaste versionen från LSIs hemsida och använde den 2118it.bin samt mptsas2.rom tillsammans med det färdiga paketet.

Raid is not backup

Trädvy Permalänk
Medlem
Plats
Halmstad
Registrerad
Jul 2012
Skrivet av FoxOne:

Jag testade både med en DOS-flashning och via UEFI, märkte ingen skillnad.

Jag utgick ifrån den här posten och plockade ner LSI MegaRAID to SAS2008(P11).zip - 5.87 MB. Sen tog jag den senaste versionen från LSIs hemsida och använde den 2118it.bin samt mptsas2.rom tillsammans med det färdiga paketet.

Gott. Ska testa så fort jag får kortet levererat.

Trädvy Permalänk
Medlem
Registrerad
Jul 2012
Skrivet av Bosendorfer:

Har du löst det?

Jag har precis beställt ett LSI MegaRAID 9240-8i på ebay som jag har tänkt flasha till IT.
Någon dag efter jag beställt så såg jag att säljaren har skrivit följande varning i annonsen:

"Important note: For Windows users, please DO NOT upgrade the firmware! It would cause the card non-working in Windows system after upgrade."
http://www.ebay.com/itm/New-LSI-MegaRAID-9240-8i-8ports-PCI-E...

Så nu blev jag lite nervös...
Jag vet inte om det är exakt samma kort som du har, men det hade varit trevligt att veta om du har löst det.

Köpte två 9240-8i från Ebay och de fungerade med orginal firmware, uppgraderade dem och då slutade de fungera.

Flashade dem till 9211 IT via UEFI-boot och då fungerade de igen.

Jag kör Windows Server 2008 r2.

Trädvy Permalänk
Medlem
Plats
Halmstad
Registrerad
Jul 2012
Skrivet av Fuusko:

Köpte två 9240-8i från Ebay och de fungerade med orginal firmware, uppgraderade dem och då slutade de fungera.

Flashade dem till 9211 IT via UEFI-boot och då fungerade de igen.

Jag kör Windows Server 2008 r2.

Ok, ja då verkar det ju som att det stämmer det som säljaren skrev i annonsen. Men jag är fortfarande lite oklar med vad som menas med att "uppgradera"?
Vad uppgraderade du korten till när de slutade att fungera?

Trädvy Permalänk
Medlem
Registrerad
Jul 2012
Skrivet av Bosendorfer:

Ok, ja då verkar det ju som att det stämmer det som säljaren skrev i annonsen. Men jag är fortfarande lite oklar med vad som menas med att "uppgradera"?
Vad uppgraderade du korten till när de slutade att fungera?

Senaste firmware till 9240-8i ("mjukvaran" som är innuti kortet)

Trädvy Permalänk
Medlem
Plats
Halmstad
Registrerad
Jul 2012
Skrivet av Fuusko:

Senaste firmware till 9240-8i ("mjukvaran" som är innuti kortet)

Ok, så senaste FW från LSI fungerar inte, men det fungerar att slänga i 9211-IT då.
Skumt, men strunt samma, jag ska också köra IT. Tack för klargörandet.